<?php
require_once(WCF_DIR.'lib/acp/package/plugin/AbstractOptionPackageInstallationPlugin.class.php');

/**
 * This PIP installs, updates or deletes options.
 * 
 * @author	Benjamin Kunz
 * @copyright	2001-2007 WoltLab GmbH
 * @license	GNU Lesser General Public License <http://opensource.org/licenses/lgpl-license.php>
 * @package	com.woltlab.acp.package.plugin
 */
class OptionsPackageInstallationPlugin extends AbstractOptionPackageInstallationPlugin {
	public $tagName = 'options';
	public $tableName = 'option';
	
	/**
	 * @see	 AbstractOptionPackageInstallationPlugin::saveOption()
	 */
	protected function saveOption($option, $categoryName, $existingOptionID = 0) {
		// default values
		$optionName = $optionType = $defaultValue = $validationPattern = $selectOptions = $enableOptions = '';
		$showOrder = null;
		$hidden = 0; 
		
		// make xml tags-names (keys in array) to lower case
		$this->keysToLowerCase($option);
								
		// get values
		if (isset($option['name'])) $optionName = $option['name'];
		if (isset($option['optiontype'])) $optionType = $option['optiontype'];
		if (isset($option['defaultvalue'])) $defaultValue = WCF::getLanguage()->get($option['defaultvalue']);
		if (isset($option['validationpattern'])) $validationPattern = $option['validationpattern'];
		if (isset($option['enableoptions'])) $enableOptions = $option['enableoptions'];
		if (isset($option['showorder'])) $showOrder = intval($option['showorder']);
		if (isset($option['hidden'])) $hidden = intval($option['hidden']);
		$showOrder = $this->getShowOrder($showOrder, $categoryName, 'categoryName');
		if (isset($option['selectoptions'])) $selectOptions = $option['selectoptions'];
		
		// insert or update option
		$sql = "INSERT INTO 			wcf".WCF_N."_".$this->tableName."
							(packageID, optionName,
							 categoryName, optionType, 
							 optionValue, validationPattern, 
							 selectOptions, showOrder,
							 enableOptions, hidden)
			VALUES				(".$this->installation->getPackageID().", 
							'".escapeString($optionName)."', 
							'".escapeString($categoryName)."', 
							'".escapeString($optionType)."', 
							'".escapeString($defaultValue)."', 
							'".escapeString($validationPattern)."',
							'".escapeString($selectOptions)."',		 
							".intval($showOrder).",
							'".escapeString($enableOptions)."',
							".intval($hidden).")
			ON DUPLICATE KEY UPDATE		categoryName = VALUES(categoryName), 
							optionType = VALUES(optionType),
							validationPattern = VALUES(validationPattern),
							selectoptions = VALUES(selectOptions),
							showOrder = VALUES(showOrder),
							enableOptions = VALUES(enableOptions),
							hidden = VALUES(hidden)";
		WCF::getDB()->sendQuery($sql);
	}
}
?>