DROP TABLE IF EXISTS wcf1_package_update;
CREATE TABLE wcf1_package_update (
	packageUpdateID int(10) unsigned NOT NULL auto_increment,
	packageUpdateServerID int(10) unsigned NOT NULL default 0,
	package varchar(255) NOT NULL default '',
	packageName varchar(255) NOT NULL default '',
	packageDescription varchar(255) NOT NULL default '',
	author varchar(255) NOT NULL default '',
	authorURL varchar(255) NOT NULL default '',
	standalone tinyint(1) NOT NULL DEFAULT 0,
	plugin varchar(255) NOT NULL default '',
	PRIMARY KEY (packageUpdateID),
	UNIQUE KEY (packageUpdateServerID, package)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS wcf1_package_update_version;
CREATE TABLE wcf1_package_update_version (
	packageUpdateVersionID int(10) unsigned NOT NULL auto_increment,
	packageUpdateID int(10) unsigned NOT NULL default 0,
	packageVersion varchar(50) NOT NULL default '',
	updateType varchar(10) NOT NULL default '',
	timestamp int(10) unsigned NOT NULL default 0,
	file varchar(255) NOT NULL default '',
	PRIMARY KEY  (packageUpdateVersionID),
	UNIQUE KEY (packageUpdateID, packageVersion)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS wcf1_package_update_requirement;
CREATE TABLE wcf1_package_update_requirement (
	packageUpdateVersionID int(10) unsigned NOT NULL default 0,
	package varchar(255) NOT NULL default '',
	minversion varchar(50) NOT NULL default '',
	UNIQUE KEY (packageUpdateVersionID, package)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS wcf1_package_update_fromversion;
CREATE TABLE wcf1_package_update_fromversion (
	packageUpdateVersionID int(10) unsigned NOT NULL default 0,
	fromversion varchar(50) NOT NULL default '',
	UNIQUE KEY (packageUpdateVersionID, fromversion)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

UPDATE wcf1_package_update_server SET timestamp = 0;